Package: org.codehaus.groovy.control

## [Java] Interface CompilationUnit.ClassgenCallback

-     @FunctionalInterface
      public interface CompilationUnit.ClassgenCallback

  A callback interface you can use during the `classgen` phase of compilation as the compiler traverses the ClassNode tree. You will be called-back for each primary and inner class. Use setClassgenCallback() before running compile() to set your callback.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `call(org.objectweb.asm.ClassVisitor writer, ClassNode node)`

- - ### Method Detail

    - #### public void call(org.objectweb.asm.ClassVisitor writer, ClassNode node)